# $Revision: 1.67 $, $Date: 2012/02/29 17:22:47 $
#
# Conditional build:
%bcond_without	aalib		# don't build aa videosink plugin
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	caca		# don't build caca videosink plugin
%bcond_without	cairo		# don't build cairo plugin
%bcond_with	esd		# build ESD plugin
%bcond_without	gconf		# don't build GConf plugin
%bcond_with	hal		# build HAL plugin
%bcond_without	jack		# don't build JACK audio plugin
%bcond_without	soup		# don't build libsoup 2.4 http source plugin
%bcond_without	speex		# don't build speex plugin
%bcond_without	wavpack		# don't build wavpack plugin

%define		gstname		gst-plugins-good
%define		gst_major_ver	0.10
%define		gst_req_ver	0.10.36
%define		gstpb_req_ver	0.10.36

%include	/usr/lib/rpm/macros.gstreamer
Summary:	Good GStreamer Streaming-media framework plugins
Summary(pl.UTF-8):	Dobre wtyczki do środowiska obróbki strumieni GStreamer
Name:		gstreamer-plugins-good
Version:	0.10.31
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://gstreamer.freedesktop.org/src/gst-plugins-good/%{gstname}-%{version}.tar.xz
# Source0-md5:	555845ceab722e517040bab57f9ace95
URL:		http://gstreamer.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.10
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gdk-pixbuf2-devel >= 2.8.0
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	glib2-devel >= 1:2.24
BuildRequires:	gstreamer-devel >= %{gst_req_ver}
BuildRequires:	gstreamer-plugins-base-devel >= %{gstpb_req_ver}
BuildRequires:	gtk+2-devel >= 2:2.14.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.7}
BuildRequires:	libtool >= 1.4
BuildRequires:	orc-devel >= 0.4.11
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	python >= 2.1
BuildRequires:	rpmbuild(macros) >= 1.198
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
##
## plugins
##
%{?with_gconf:BuildRequires:	GConf2-devel >= 2.14.0}
%{?with_aalib:BuildRequires:	aalib-devel >= 0.11.0}
BuildRequires:	bzip2-devel
%{?with_cairo:BuildRequires:	cairo-devel >= 1.2.0}
%{?with_cairo:BuildRequires:	cairo-gobject-devel >= 1.10.0}
BuildRequires:	dbus-devel >= 0.91
%{?with_esd:BuildRequires:	esound-devel >= 0.2.12}
BuildRequires:	flac-devel >= 1.1.4
%{?with_hal:BuildRequires:	hal-devel >= 0.5.7.1}
%{?with_jack:BuildRequires:	jack-audio-connection-kit-devel >= 0.99.10}
BuildRequires:	libavc1394-devel
%{?with_caca:BuildRequires:	libcaca-devel}
BuildRequires:	libdv-devel >= 0.104
BuildRequires:	libiec61883-devel >= 1.0.0
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.2.0
BuildRequires:	libraw1394-devel >= 2.0.0
BuildRequires:	libshout-devel >= 2.0
%{?with_soup:BuildRequires:	libsoup-devel >= 2.26}
# for taglib
BuildRequires:	libstdc++-devel
BuildRequires:	libv4l-devel
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pulseaudio-devel >= 1.0
%{?with_speex:BuildRequires:	speex-devel >= 1:1.1.6}
BuildRequires:	taglib-devel >= 1.5
BuildRequires:	udev-glib-devel >= 143
%{?with_wavpack:BuildRequires:	wavpack-devel >= 4.40.0}
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	zlib-devel
Requires:	glib2 >= 1:2.24
Requires:	gstreamer >= %{gst_req_ver}
Requires:	gstreamer-plugins-base >= %{gstpb_req_ver}
Requires:	orc >= 0.4.11
Obsoletes:	gstreamer-avi
Obsoletes:	gstreamer-flx
%{!?with_hal:Obsoletes:	gstreamer-hal}
Obsoletes:	gstreamer-matroska
Obsoletes:	gstreamer-mixer
Obsoletes:	gstreamer-navigation
Obsoletes:	gstreamer-oss4
Obsoletes:	gstreamer-rtp
Obsoletes:	gstreamer-udp
%if %{without esd}
Obsoletes:	gstreamer-audiosink-esd
%endif
Conflicts:	gstreamer-plugins-bad < 0.10.19
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		gstlibdir 	%{_libdir}/gstreamer-%{gst_major_ver}

%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plugins.

%description -l pl.UTF-8
GStreamer to środowisko obróbki danych strumieniowych, bazujące na
grafie filtrów operujących na danych medialnych. Aplikacje używające
tej biblioteki mogą robić wszystko od przetwarzania dźwięku w czasie
rzeczywistym, do odtwarzania filmów i czegokolwiek innego związego z
mediami. Architektura bazująca na wtyczkach pozwala na łatwe dodawanie
nowych typów danych lub możliwości obróbki.

%package apidocs
Summary:	Good GStreamer streaming-media framework plugins API documentation
Summary(pl.UTF-8):	Dokumentacja API dobrych wtyczek środowiska obróbki strumieni GStreamer
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
Good GStreamer streaming-media framework plugins API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API dobrych wtyczek środowiska obróbki strumieni
GStreamer.

%package -n gstreamer-GConf
Summary:	GStreamer GConf schemas
Summary(pl.UTF-8):	Schematy GConf GStreamera
Group:		Libraries
Requires(post,preun):	GConf2
Requires:	gstreamer >= %{gst_req_ver}
Obsoletes:	gstreamer-GConf-devel

%description -n gstreamer-GConf
Installation of GStreamer GConf schemas. These set usable defaults
used by all GStreamer-enabled GNOME applications.

%description -n gstreamer-GConf -l pl.UTF-8
Schematy GConf dla GStreamera. Zestaw ten ustawia wartości domyślne
dla wszystkich aplikacji GNOME korzystających z GStreamera

## ## Plugins ##

%package -n gstreamer-videosink-aa
Summary:	GStreamer plugin for Ascii-art output
Summary(pl.UTF-8):	Wtyczka wyjścia obrazu Ascii-art do GStreamera
Group:		Libraries
Requires:	gstreamer >= %{gst_req_ver}
Provides:	gstreamer-videosink = %{version}
Obsoletes:	gstreamer-aalib

%description -n gstreamer-videosink-aa
Plugin for viewing movies in Ascii-art using aalib library.

%description -n gstreamer-videosink-aa -l pl.UTF-8
Wtyczka wyjścia obrazu Ascii-art używająca biblioteki aalib.

%package -n gstreamer-audio-effects-good
Summary:	Good GStreamer audio effects plugins
Summary(pl.UTF-8):	Dobre wtyczki efektów dźwiękowych do GStreamera
Group:		Libraries
Requires:	gstreamer-plugins-base >= %{gstpb_req_ver}
Obsoletes:	gstreamer-audio-effects

%description -n gstreamer-audio-effects-good
Good GStreamer audio effects plugins.

%description -n gstreamer-audio-effects-good -l pl.UTF-8
Dobre wtyczki efektów dźwiękowych do GStreamera.

%package -n gstreamer-audio-formats
Summary:	GStreamer audio format plugins
Summary(pl.UTF-8):	Wtyczki formatów dźwięku
Group:		Libraries
#Requires:	gstreamer-plugins-base >= %{gstpb_req_ver}
# for locales in wavparse module
Requires:	%{name} = %{version}-%{release}

%description -n gstreamer-audio-formats
Plugin for playback of WAV, au and mod audio files as well as MP3
type.

%description -n gstreamer-audio-formats -l pl.UTF-8
Wtyczka do odwarzania dźwięku w formacie au, WAV, mod oraz MP3.

%package -n gstreamer-cairo
Summary:	GStreamer cairo plugin
Summary(pl.UTF-8):	Wtyczka cairo do GStreamera
Group:		Libraries
Requires:	gstreamer >= %{gst_req_ver}

%description -n gstreamer-cairo
GStreamer cairo plugin.

%description -n gstreamer-cairo -l pl.UTF-8
Wtyczka cairo do GStreamera.

%package -n gstreamer-dv
Summary:	GStreamer dv plugin
Summary(pl.UTF-8):	Wtyczka dv do GStreamera
Group:		Libraries
Requires:	gstreamer-plugins-base >= %{gstpb_req_ver}

%description -n gstreamer-dv
Plugin for digital video support.

%description -n gstreamer-dv -l pl.UTF-8
Wtyczka do GStreamera obsługująca cyfrowy obraz.

%package -n gstreamer-audiosink-esd
Summary:	GStreamer plugin for ESD sound output
Summary(pl.UTF-8):	Wtyczka wyjścia dźwięku ESD do GStreamera
Group:		Libraries
Requires:	gstreamer-plugins-base >= %{gstpb_req_ver}
Provides:	gstreamer-audiosink = %{version}
Obsoletes:	gstreamer-esound

%description -n gstreamer-audiosink-esd
Output plugin for GStreamer for use with the esound package.

%description -n gstreamer-audiosink-esd -l pl.UTF-8
Wtyczka wyjścia dźwięku ESD (esound) dla GStreamera.

%package -n gstreamer-flac
Summary:	GStreamer plugin for FLAC lossless audio format
Summary(pl.UTF-8):	Wtyczka do GStreamera obsługująca bezstratny format dźwięku FLAC
Group:		Libraries
Requires:	gstreamer-plugins-base >= %{gstpb_req_ver}
Requires:	flac >= 1.1.4

%description -n gstreamer-flac
Plugin for the free FLAC lossless audio format.

%description -n gstreamer-flac -l pl.UTF-8
Wtyczka obsługująca wolnodostępny, bezstratny format dźwięku FLAC.

%package -n gstreamer-gdkpixbuf
Summary:	GStreamer images input plugin
Summary(pl.UTF-8):	Wtyczka do GStreamera wczytująca obrazki
Group:		Libraries
Requires:	gstreamer >= %{gst_req_ver}

%description -n gstreamer-gdkpixbuf
This GStreamer plugin load images via gdkpixbuf library.

%description -n gstreamer-gdkpixbuf -l pl.UTF-8
Ta wtyczka GStreamera wczytuje obrazki za pośrednictwem biblioteki
gdkpixbuf.

%package -n gstreamer-hal
Summary:	GStreamer plugin to wrap the GStreamer/HAL audio input/output devices
Summary(pl.UTF-8):	Wtyczka GStreamera spinająca urządzenia wejścia/wyjścia dźwięku z HAL-em
Group:		Libraries
Requires:	gstreamer >= %{gst_req_ver}

%description -n gstreamer-hal
GStreamer plugin to wrap the GStreamer/HAL audio input/output devices.

%description -n gstreamer-hal -l pl.UTF-8
Wtyczka GStreamera spinająca urządzenia wejścia/wyjścia dźwięku między
GStreamerem a HAL-em.

%package -n gstreamer-jack
Summary:	GStreamer plugin for the JACK Sound Server
Summary(pl.UTF-8):	Wtyczka serwera dźwięku JACK dla GStreamera
Group:		Libraries
Requires:	gstreamer-plugins-base >= %{gstpb_req_ver}
Provides:	gstreamer-audiosink = %{version}

%description -n gstreamer-jack
Plugin for the JACK professional sound server.

%description -n gstreamer-jack -l pl.UTF-8
Wtyczka dla profesjonalnego serwera dźwięku JACK.

%package -n gstreamer-videosink-libcaca
Summary:	GStreamer plugin for libcaca Ascii-art output
Summary(pl.UTF-8):	Wtyczka libcaca do GStreamera
Group:		Libraries
Requires:	gstreamer-plugins-base >= %{gstpb_req_ver}
Provides:	gstreamer-videosink = %{version}

%description -n gstreamer-videosink-libcaca
GStreamer plug-in for libcaca Ascii-art output.

%description -n gstreamer-videosink-libcaca -l pl.UTF-8
Wtyczka libcaca do GStreamera.

%package -n gstreamer-libpng
Summary:	GStreamer plugin to encode png images
Summary(pl.UTF-8):	Wtyczka GStreamera kodująca pliki png
Group:		Libraries
#Requires:	gstreamer >= %{gst_req_ver}
# for locales
Requires:	%{name} = %{version}-%{release}
Requires:	libpng >= 1.2.0

%description -n gstreamer-libpng
Plugin for encoding png images.

%description -n gstreamer-libpng -l pl.UTF-8
Wtyczka kodująca pliki png.

%package -n gstreamer-audiosink-oss
Summary:	GStreamer plugins for input and output using OSS
Summary(pl.UTF-8):	Wtyczki wejścia i wyjścia dźwięku OSS do GStreamera
Group:		Libraries
#Requires:	gstreamer-plugins-base >= %{gstpb_req_ver}
# for locales
Requires:	%{name} = %{version}-%{release}
Provides:	gstreamer-audiosink = %{version}
Obsoletes:	gstreamer-oss

%description -n gstreamer-audiosink-oss
Plugins for output and input to the OpenSoundSystem audio drivers
found in the Linux kernels or commercially available from OpenSound.

%description -n gstreamer-audiosink-oss -l pl.UTF-8
Wtyczki wyjścia i wejścia dźwięku używające sterowników
OpenSoundSystem obecnych w jądrach Linuksa lub dostępnych komercyjnie
od OpenSound.

%package -n gstreamer-pulseaudio
Summary:	GStreamer plugin for PulseAudio sound server
Summary(pl.UTF-8):	Wtyczka GStreamera dla serwera dźwięku PulseAudio
Group:		Libraries
Requires:	gstreamer >= %{gst_req_ver}
Requires:	gstreamer-plugins-base >= %{gstpb_req_ver}
Requires:	pulseaudio >= 1.0
Obsoletes:	gstreamer-audiosink-polypaudio
Provides:	gstreamer-audiosink = %{version}
Obsoletes:	gstreamer-polypaudio

%description -n gstreamer-pulseaudio
GStreamer plugin for PulseAudio sound server.

%description -n gstreamer-pulseaudio -l pl.UTF-8
Wtyczka GStreamera dla serwera dźwięku PulseAudio.

%package -n gstreamer-raw1394
Summary:	GStreamer raw1394 Firewire plugin
Summary(pl.UTF-8):	Wtyczka FireWire dla GStreamera
Group:		Libraries
Requires:	gstreamer >= %{gst_req_ver}

%description -n gstreamer-raw1394
Plugin for digital video support using raw1394.

%description -n gstreamer-raw1394 -l pl.UTF-8
Wtyczka dająca dostęp do cyfrowego obrazu przy użyciu raw1394.

%package -n gstreamer-shout2
Summary:	GStreamer plugin for communicating with Shoutcast servers
Summary(pl.UTF-8):	Wtyczka do GStreamera umożliwiająca komunikację z serwerami Shoutcast
Group:		Libraries
Requires:	gstreamer >= %{gst_req_ver}

%description -n gstreamer-shout2
GStreamer plugin for communicating with Shoutcast servers.

%description -n gstreamer-shout2 -l pl.UTF-8
Wtyczka do GStreamera umożliwiająca komunikację z serwerami Shoutcast.

%package -n gstreamer-soup
Summary:	GStreamer Soup plugin
Summary(pl.UTF-8):	Wtyczka biblioteki Soup dla GStreamera
Group:		Libraries
Requires:	gstreamer-plugins-base >= %{gst_req_ver}
Requires:	libsoup >= 2.26

%description -n gstreamer-soup
GStreamer Plugin for downloading files with Soup library.

%description -n gstreamer-soup -l pl.UTF-8
Wtyczka GStreamera umożliwiająca ściąganie plików za pomocą biblioteki
Soup.

%package -n gstreamer-speex
Summary:	GStreamer speex codec decoder/encoder plugin
Summary(pl.UTF-8):	Wtyczka do GStreamera obsługująca kodek Speex
Group:		Libraries
#Requires:	gstreamer-plugins-base >= %{gstpb_req_ver}
Requires:	speex >= 1:1.1.6

%description -n gstreamer-speex
GStreamer speex codec decoder/encoder plugin.

%description -n gstreamer-speex -l pl.UTF-8
Wtyczka do GStreamera obsługująca kodek Speex.

%package -n gstreamer-taglib
Summary:	GStreamer tag writing plugin based on taglib
Summary(pl.UTF-8):	Wtyczka GStreamera zapisująca znaczniki oparta na bibliotece taglib
Group:		Libraries
Requires:	gstreamer >= %{gst_req_ver}
Requires:	taglib >= 1.5

%description -n gstreamer-taglib
GStreamer tag writing plugin based on taglib.

%description -n gstreamer-taglib -l pl.UTF-8
Wtyczka GStreamera zapisująca znaczniki oparta na bibliotece taglib.

%package -n gstreamer-v4l2
Summary:	GStreamer Video4Linux2 input plugin
Summary(pl.UTF-8):	Wtyczka wejścia Video4Linux2 dla GStreamera
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	udev-glib >= 143

%description -n gstreamer-v4l2
GStreamer plugin for accessing Video4Linux2 devices.

%description -n gstreamer-v4l2 -l pl.UTF-8
Wtyczka GStreamera pozwalająca na dostęp do urządzeń Video4Linux2.

%package -n gstreamer-video-effects
Summary:	GStreamer video effects plugins
Summary(pl.UTF-8):	Wtyczki efektów wideo do GStreamera
Group:		Libraries
# for locales in jpeg module
Requires:	%{name} = %{version}-%{release}

%description -n gstreamer-video-effects
GStreamer video effects plugins.

%description -n gstreamer-video-effects -l pl.UTF-8
Wtyczki efektów wideo do GStreamera.

%package -n gstreamer-visualisation
Summary:	GStreamer visualisations plugins
Summary(pl.UTF-8):	Wtyczki wizualizacji do GStreamera
Group:		Libraries
Requires:	gstreamer >= %{gst_req_ver}

%description -n gstreamer-visualisation
Various plugins for visual effects to use with audio. Included are
monoscope, spectrum, goom (2k4) and goom2k1.

%description -n gstreamer-visualisation -l pl.UTF-8
Różne wtyczki efektów wizualnych do używania z dźwiękiem. Załączone:
monoscope, spectrum, goom (2k4) i goom2k1.

%package -n gstreamer-ximagesrc
Summary:	GStreamer X11 video input plugin using standard Xlib calls
Summary(pl.UTF-8):	Wtyczka wejścia obrazu X11 GStreamera używająca standardowych wywołań Xlib
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description -n gstreamer-ximagesrc
GStreamer X11 video input plugin using standard Xlib calls.

%description -n gstreamer-ximagesrc -l pl.UTF-8
Wtyczka wejścia obrazu X11 GStreamera używająca standardowych wywołań
Xlib.

%package -n gstreamer-wavpack
Summary:	GStreamer plugin for Wavpack lossless audio format
Summary(pl.UTF-8):	Wtyczka do GStreamera obsługująca bezstratny format dźwięku Wavpack
Group:		Libraries
Requires:	gstreamer >= %{gst_req_ver}
Requires:	wavpack-libs >= 4.40.0

%description -n gstreamer-wavpack
Plugin for lossless Wavpack audio format.

%description -n gstreamer-wavpack -l pl.UTF-8
Wtyczka obsługująca bezstratny format dźwięku Wavpack.

%prep
%setup -q -n %{gstname}-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4 -I common/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	ac_cv_lib_jpeg_mmx_jpeg_set_defaults=no \
	--disable-silent-rules \
	--disable-static \
	--enable-experimental \
	%{!?with_aalib:--disable-aalib} \
	%{!?with_cairo:--disable-cairo} \
	%{!?with_esd:--disable-esd} \
	%{!?with_jack:--disable-jack} \
	%{!?with_caca:--disable-libcaca} \
	%{!?with_soup:--disable-soup} \
	%{!?with_speex:--disable-speex} \
	%{!?with_wavpack:--disable-wavpack} \
	%{!?with_hal:--disable-hal} \
	--enable-gtk-doc%{!?with_apidocs:=no} \
	--enable-orc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# We don't need plugins' *.la files
%{__rm} $RPM_BUILD_ROOT%{gstlibdir}/*.la

%find_lang %{gstname}-%{gst_major_ver}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n gstreamer-GConf
%gconf_schema_install gstreamer-0.10.schemas

%preun	-n gstreamer-GConf
%gconf_schema_uninstall gstreamer-0.10.schemas

%files -f %{gstname}-%{gst_major_ver}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README RELEASE
%attr(755,root,root) %{gstlibdir}/libgstalphacolor.so
%attr(755,root,root) %{gstlibdir}/libgstalpha.so
%attr(755,root,root) %{gstlibdir}/libgstannodex.so
%attr(755,root,root) %{gstlibdir}/libgstapetag.so
%attr(755,root,root) %{gstlibdir}/libgstaudiofx.so
%attr(755,root,root) %{gstlibdir}/libgstautodetect.so
%attr(755,root,root) %{gstlibdir}/libgstavi.so
%attr(755,root,root) %{gstlibdir}/libgstdebug.so
%attr(755,root,root) %{gstlibdir}/libgstefence.so
%attr(755,root,root) %{gstlibdir}/libgstequalizer.so
%attr(755,root,root) %{gstlibdir}/libgstdeinterlace.so
%attr(755,root,root) %{gstlibdir}/libgstflv.so
%attr(755,root,root) %{gstlibdir}/libgstflxdec.so
%attr(755,root,root) %{gstlibdir}/libgsticydemux.so
%attr(755,root,root) %{gstlibdir}/libgstid3demux.so
%attr(755,root,root) %{gstlibdir}/libgstimagefreeze.so
%attr(755,root,root) %{gstlibdir}/libgstinterleave.so
%attr(755,root,root) %{gstlibdir}/libgstisomp4.so
%attr(755,root,root) %{gstlibdir}/libgstmatroska.so
%attr(755,root,root) %{gstlibdir}/libgstmultifile.so
%attr(755,root,root) %{gstlibdir}/libgstmultipart.so
%attr(755,root,root) %{gstlibdir}/libgstnavigationtest.so
%attr(755,root,root) %{gstlibdir}/libgstoss4audio.so
%attr(755,root,root) %{gstlibdir}/libgstreplaygain.so
%attr(755,root,root) %{gstlibdir}/libgstrtp.so
%attr(755,root,root) %{gstlibdir}/libgstrtpmanager.so
%attr(755,root,root) %{gstlibdir}/libgstrtsp.so
%attr(755,root,root) %{gstlibdir}/libgstshapewipe.so
%attr(755,root,root) %{gstlibdir}/libgstudp.so
%attr(755,root,root) %{gstlibdir}/libgstvideobox.so
%attr(755,root,root) %{gstlibdir}/libgstvideocrop.so
%attr(755,root,root) %{gstlibdir}/libgstvideofilter.so
%attr(755,root,root) %{gstlibdir}/libgstvideomixer.so
%attr(755,root,root) %{gstlibdir}/libgsty4menc.so
%dir %{_datadir}/gstreamer-0.10
%{_datadir}/gstreamer-0.10/presets

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gst-plugins-good-plugins-*
%endif

%if %{with gconf}
%files -n gstreamer-GConf
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstgconfelements.so
%{_sysconfdir}/gconf/schemas/gstreamer-0.10.schemas
%endif

##
## Plugins
##

%if %{with aalib}
%files -n gstreamer-videosink-aa
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstaasink.so
%endif

%files -n gstreamer-audio-effects-good
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstalaw.so
%attr(755,root,root) %{gstlibdir}/libgstcutter.so
%attr(755,root,root) %{gstlibdir}/libgstlevel.so
%attr(755,root,root) %{gstlibdir}/libgstmulaw.so

%files -n gstreamer-audio-formats
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstauparse.so
%attr(755,root,root) %{gstlibdir}/libgstaudioparsers.so
%attr(755,root,root) %{gstlibdir}/libgstwavparse.so
%attr(755,root,root) %{gstlibdir}/libgstwavenc.so

%if %{with cairo}
%files -n gstreamer-cairo
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstcairo.so
%endif

%files -n gstreamer-dv
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstdv.so

%if %{with esd}
%files -n gstreamer-audiosink-esd
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstesd.so
%endif

%files -n gstreamer-flac
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstflac.so

%files -n gstreamer-gdkpixbuf
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstgdkpixbuf.so

%if %{with jack}
%files -n gstreamer-jack
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstjack.so
%endif

%if %{with hal}
%files -n gstreamer-hal
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgsthalelements.so
%endif

%if %{with caca}
%files -n gstreamer-videosink-libcaca
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstcacasink.so
%endif

%files -n gstreamer-libpng
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstpng.so

%files -n gstreamer-audiosink-oss
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstossaudio.so

%files -n gstreamer-pulseaudio
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gstreamer-0.10/libgstpulse.so

%files -n gstreamer-raw1394
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgst1394.so

%files -n gstreamer-shout2
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstshout2.so

%if %{with soup}
%files -n gstreamer-soup
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstsouphttpsrc.so
%endif

%if %{with speex}
%files -n gstreamer-speex
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstspeex.so
%endif

%files -n gstreamer-taglib
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgsttaglib.so

%files -n gstreamer-v4l2
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstvideo4linux2.so

%files -n gstreamer-video-effects
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgsteffectv.so
%attr(755,root,root) %{gstlibdir}/libgstjpeg.so
%attr(755,root,root) %{gstlibdir}/libgstsmpte.so

%files -n gstreamer-visualisation
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstgoom.so
%attr(755,root,root) %{gstlibdir}/libgstgoom2k1.so
%attr(755,root,root) %{gstlibdir}/libgstmonoscope.so
%attr(755,root,root) %{gstlibdir}/libgstspectrum.so

%if %{with wavpack}
%files -n gstreamer-wavpack
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstwavpack.so
%endif

%files -n gstreamer-ximagesrc
%defattr(644,root,root,755)
%attr(755,root,root) %{gstlibdir}/libgstximagesrc.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gstreamer-plugins-good.spec,v $
Revision 1.67  2012/02/29 17:22:47  qboosh
- updated to 0.10.31
- removed obsolete bashish,libcaca patches

Revision 1.66  2012/02/12 08:10:37  arekm
- release 5

Revision 1.65  2012/02/07 22:02:07  arekm
- release 4

Revision 1.64  2011/12/20 19:43:35  arekm
- release 3

Revision 1.63  2011/07/21 11:23:38  baggins
- obsolete HAL plugin package

Revision 1.62  2011/07/21 11:22:52  baggins
- rel 2
- disable HAL plugin

Revision 1.61  2011/06/18 10:29:27  qboosh
- updated to 0.10.30

Revision 1.60  2011/05/15 18:55:24  qboosh
- updated to 0.10.29

Revision 1.59  2011/03/11 21:44:37  qboosh
- updated to 0.10.28

Revision 1.58  2011/01/22 15:05:55  qboosh
- updated to 0.10.27
- added gstreamer-jack plugin (moved from -bad)
- removed gstreamer-ladspa (exists only in -bad)

Revision 1.57  2010/12/13 17:59:25  qboosh
- updated deps
- moved v4l2 plugin to subpackage because of external dependencies (libgudev, libv4l)

Revision 1.56  2010/12/12 20:44:06  qboosh
- updated to 0.10.26

Revision 1.55  2010/10/13 13:27:51  atler
- pulseaudio provides audiosink
- rel 2

Revision 1.54  2010/09/03 21:35:25  patrys
- 0.10.25

Revision 1.53  2010/08/24 19:59:39  patrys
- 0.10.24

Revision 1.52  2010/06/04 07:33:28  blues
- more obsoletes

Revision 1.51  2010/06/03 15:17:28  baggins
- rel 2
- esound is dead

Revision 1.50  2010/06/01 07:26:25  patrys
- 0.10.23

Revision 1.49  2010/05/31 08:49:06  patrys
- 0.10.22

Revision 1.48  2010/04/02 12:19:07  patrys
- 0.10.21

Revision 1.47  2010/04/02 12:05:33  patrys
- package shapewipe

Revision 1.46  2010/04/02 11:57:56  patrys
- 0.10.19

Revision 1.45  2010/03/15 00:18:09  glen
- caca_dither_bitmap sym undefined

Revision 1.44  2010/03/04 14:08:09  baggins
- rel 5

Revision 1.43  2010/02/14 20:03:51  sls
- another png14 fix
- rel. 4

Revision 1.42  2010/02/09 23:21:32  sls
- bump gst/gstpb req ver to 0.10.25

Revision 1.41  2010/01/29 21:08:11  arekm
- rel 3; libpng fix

Revision 1.40  2010/01/29 20:38:05  arekm
- release 2

Revision 1.39  2009/11/27 02:20:59  sparky
- BR: docbook-dtd412-xml

Revision 1.38  2009/11/18 11:14:26  patrys
- 0.10.17

Revision 1.37  2009/09/13 17:31:46  charles
- BR/R gstreamer up to 0.10.24

Revision 1.36  2009/09/01 10:28:06  patrys
- 0.10.16

Revision 1.35  2009/07/20 07:55:45  arekm
- release 2

Revision 1.34  2009/05/21 11:21:19  patrys
- 0.10.15

Revision 1.33  2009/02/20 14:06:28  patrys
- 0.10.14

Revision 1.32  2009/02/08 21:54:05  megabajt
- added CVE reference

Revision 1.31  2009/01/26 19:14:44  patrys
- 0.10.13 [fixes CVE-2009-0397]

Revision 1.30  2009/01/22 19:00:37  megabajt
- generate rpm provides for plugins
- release 2

Revision 1.29  2008/10/26 17:24:57  patrys
- 0.10.11

Revision 1.28  2008/08/31 16:35:51  qboosh
- updated to 0.10.10
- pulseaudio merged from separate package
- cdio moved to -ugly

Revision 1.27  2008/08/10 11:41:42  patrys
- looks like it disappeared from ftp
- rel 2

Revision 1.26  2008-05-10 07:43:32  qboosh
- package goom2k1 plugin (in gstreamer-visualisation)
- moved monoscope and spectrum plugins to gstreamer-visualisation (like desc says)

Revision 1.25  2008-05-07 20:52:56  patrys
- 0.10.7

Revision 1.24  2008-02-21 14:46:52  patrys
- 0.10.7

Revision 1.23  2007-10-12 00:05:28  sls
- gstpb_req_ver = 0.10.13

Revision 1.22  2007/06/20 21:10:55  arekm
- up to 0.10.6

Revision 1.21  2007/05/24 19:38:54  megabajt
- added apidocs bcond and subpackage
- release 2

Revision 1.20  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.18  2006/12/25 03:10:03  qboosh
- comment about ladspa

Revision 1.17  2006/12/25 01:50:31  qboosh
- added video4linux2 plugin (moved from plugins-bad)

Revision 1.16  2006/12/25 00:31:26  qboosh
- updated to 0.10.5, updated libcaca patch
- added flac patch, use flac 1.1.3

Revision 1.15  2006/08/21 06:17:09  qboosh
- updated raw1394 BRs

Revision 1.14  2006/08/15 11:08:37  freetz
- 0.10.4, updated deps

Revision 1.13  2006/07/15 20:03:45  freetz
- rel.3, updated deps, --as-needed support

Revision 1.12  2006/07/09 14:16:38  aflinta
 - added missing BR: python-PyXML for documentation build
 - rebuild with libpng
 - release 2

Revision 1.11  2006/05/21 17:20:08  qboosh
- updated to 0.10.3

Revision 1.10  2006/03/23 08:50:58  wiget
- rebuild with new libcdio SONAME
- release 3

Revision 1.9  2006/03/20 19:34:03  freetz
- rel.2

Revision 1.8  2006/02/22 17:44:33  freetz
- rel.1

Revision 1.7  2006/02/12 13:47:00  freetz
- itemize gconf schemas

Revision 1.6  2006/02/11 18:40:40  qboosh
- updated to 0.10.2; cdio plugin is back

Revision 1.5  2006/01/15 10:10:00  qboosh
- added URL

Revision 1.4  2006/01/14 22:47:43  qboosh
- removed unused gstincludedir macro

Revision 1.3  2006/01/14 22:21:13  qboosh
- ldconfig not needed

Revision 1.2  2006/01/14 22:17:16  qboosh
- -audio-effects-good O: -audio-effects

Revision 1.1  2006/01/14 22:16:28  qboosh
- new, partially extracted from gstreamer-plugins.spec
